import type { _NSCopying } from "./NSCopying.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSString } from "./NSString.js";
import type { NSAttributedStringMarkdownInterpretedSyntax } from "./NSAttributedStringMarkdownInterpretedSyntax.js";
import type { NSAttributedStringMarkdownParsingFailurePolicy } from "./NSAttributedStringMarkdownParsingFailurePolicy.js";
export declare class _NSAttributedStringMarkdownParsingOptions extends _NSObject {
    static alloc(): _NSAttributedStringMarkdownParsingOptions;
    static new(): _NSAttributedStringMarkdownParsingOptions;
    init(): _NSAttributedStringMarkdownParsingOptions;
    /**
     * Whether to allow parsing extensions to Markdown that specify extended attributes. Defaults to NO (only parse CommonMark syntax).
     */
    allowsExtendedAttributes(): boolean;
    setAllowsExtendedAttributes$(value: boolean): void;
    /**
     * What subset of Markdown syntax will be interpreted to produce relevant attributes in the final result. Excluded syntax will still be parsed, and the text will be included in the final result. However, it will not have attributes applied to it.
     */
    interpretedSyntax(): NSAttributedStringMarkdownInterpretedSyntax;
    setInterpretedSyntax$(value: NSAttributedStringMarkdownInterpretedSyntax): void;
    /**
     * The policy to apply if the Markdown source triggers a parsing error. The default is NSAttributedStringMarkdownParsingFailureReturnError.
     */
    failurePolicy(): NSAttributedStringMarkdownParsingFailurePolicy;
    setFailurePolicy$(value: NSAttributedStringMarkdownParsingFailurePolicy): void;
    /**
     * The BCP-47 language code for this document. If not nil, the NSLanguageAttributeName attribute will be applied to any range in the returned string that doesn't otherwise specify a language attribute. The default is nil, which applies no attributes.
     */
    languageCode(): _NSString | null;
    setLanguageCode$(value: _NSString | null): void;
    appliesSourcePositionAttributes(): boolean;
    setAppliesSourcePositionAttributes$(value: boolean): void;
}
export interface _NSAttributedStringMarkdownParsingOptions extends _NSCopying {
}
